Loading...
Searching...
No Matches
space_act

## Detailed Description

Definition at line 38 of file space_constitution.h.

## Public Types

enum | act_type { block = 0 , unblock = 1 , block_n = 2 , unblock_n = 3 }
typedef size_t | size_type

## Public Member Functions

| space_act (const std::string &dom_name, act_type act)
| space_act (const std::string &dom_name, size_type i_comp, act_type act)
| space_act ()
| space_act (const space_act &x)
const std::string & | get_domain_name () const
act_type | get_act () const
size_type | get_component_index () const

## Static Public Attributes

static const size_type | unset_index = std::numeric_limits<size_type>::max()

## Protected Attributes

std::string | _dom_name
size_type | _i_comp
act_type | _act

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 43 of file space_constitution.h.

## Member Enumeration Documentation

## act_type

enum act_type

Enumerator
block |
unblock |
block_n |
unblock_n |

Definition at line 46 of file space_constitution.h.

## Constructor & Destructor Documentation

## space_act() [1/4]

space_act | ( | const std::string & | dom_name,
|  | act_type | act
| ) |  |

Definition at line 55 of file space_constitution.h.

## space_act() [2/4]

space_act | ( | const std::string & | dom_name,
|  | size_type | i_comp,
|  | act_type | act
| ) |  |

Definition at line 57 of file space_constitution.h.

## space_act() [3/4]

space_act | ( |  | ) |

Definition at line 59 of file space_constitution.h.

## space_act() [4/4]

space_act | ( | const space_act & | x | ) |

Definition at line 61 of file space_constitution.h.

## Member Function Documentation

## get_domain_name()

const std::string & get_domain_name | ( |  | ) | const

Definition at line 66 of file space_constitution.h.

## get_act()

act_type get_act | ( |  | ) | const

Definition at line 67 of file space_constitution.h.

## get_component_index()

size_type get_component_index | ( |  | ) | const

Definition at line 68 of file space_constitution.h.

## Member Data Documentation

## unset_index

const size_type unset_index = std::numeric_limits<size_type>::max()

static

Definition at line 44 of file space_constitution.h.

## _dom_name

std::string _dom_name

protected

Definition at line 72 of file space_constitution.h.

## _i_comp

size_type _i_comp

protected

Definition at line 73 of file space_constitution.h.

## _act

act_type _act

protected

Definition at line 74 of file space_constitution.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/space_constitution.h